body {
  max-width: 35rem; /* Metáfora de 35 letras por línea */
  margin: auto;     /* El 'auto' le da centrado */
  padding: 0 2rem;
}

#menu-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(255, 255, 255, 0.75);
  z-index: 1;
  display: none;
}

#menu-filler {
  position: fixed;
  top: 0;
  right: 0;
  /* 18.5rem == #toc-nav.width + 1rem */
  width: 18.5rem;
  height: 100%;
  background: white;
}

#menu-btn {
  display: none;
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  width: 2rem;
  height: 2rem;
  cursor: pointer;
  background: white;
  border: 1px solid #d9d9d9;
  border-radius: .25rem;
  z-index: 2;
}

#menu-bar1, #menu-bar2, #menu-bar3 {
	display: block;
	width: 1.5rem;
	height: 4px;
	background-color: #d9d9d9;
	margin: 4px auto;
	transition: 0.4s;
}

#menu-bar1 {
  margin-top: 7px;
}

#menu-btn.menu-activo #menu-bar1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-5px, 5px);
}

#menu-btn.menu-activo #menu-bar2 {
  opacity: 0;
}

#menu-btn.menu-activo #menu-bar3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-6px, -6px);
}

.menu-activo {
  display: block !important;
}

#toc:before {
  display: none;
}

#toc-title {
  display: block;
}

#toc-nav {
	transform: translateX(0);
	position: fixed;
	top: 3rem;
  /* 70rem == doble del body
   * 4rem == doble del padding y margin del body */
	right: calc((100% - 70rem - 4rem) / 2);
	width: 17.5rem;
  /* 8rem == el top + ancho del botón de menú + 2rem de margen del botón */
	height: calc(100% - 8rem);
	overflow-y: auto;
	padding: 0 1rem 1rem 0;
	background: white;
  z-index: 3;
}

#toc-nav ol {
  position: relative;
  overflow: hidden;
	list-style-type: none;
}

#main {
  margin-bottom: 3rem;
}

h1, h2, h3 {
  margin-left: 1rem;
  margin-right: 1rem;
}

a.toc-link {
  display: block;
  text-indent: -.85rem;
  margin-left: .85rem;
}

a.toc-link::before {
	background-color: #d9d9d9;
}

a.is-active-link.toc-link::before {
	background-color: blue;
}

a.anchor {
  color: blue; 
}

span.isbn {
  display: block;
}

/* Cuando el TOC ya no cabe */
@media (max-width: 74rem) {

  #menu-btn {
    display: block;
  }

  /* 70rem == doble del body
   * 4rem == doble del padding y margin del body */
  #toc-nav {
    display: none;
    right: 0;
  }
}

/* Cuando la pantalla es pequeña */
@media screen and (max-width: 480px) {

  /* Muestra la portada en todo el ancho */
  /* Hace que las figuras abarquen toda la caja */
  section#cover-image, figure {
    width: 100vw;
    margin-left: -2rem;
  }

  figure img:not(.math), #cover-image img {
    max-width: 100vw;
  }

  figcaption {
    margin-left: 2rem;
    margin-right: 2rem;
  }
}
